API & Integration -> API Reference

Get all templates

For some applications, it can be helpful to get the templates in your project. Perhaps you are building an application that lets the user select a template from a list. Or you might be setting up an automation workflow that randomly selects a template from a project.

For those situation, you can use the following API endpoint. It returns a list of template metadata, containing their ID, name, tags, creation date, and update date.

This endpoint only returns the metadata of each template. It is also possible to retrieve the RenderScript source of each individual template using this endpoint.

API endpoint

Templates are part of a project in your account. To get the templates, call the following API endpoint with the project's API key.

curl -X GET https://api.creatomate.com/v2/templates \
     -H "Authorization: Bearer YOUR_API_KEY_HERE"

Templates are returned newest-first, ordered by their last update. To narrow the results to specific tags, add a comma-separated tags query parameter. For example, ?tags=Product,Marketing returns only templates carrying the Product or Marketing tag.

Response

The API endpoint returns an array in the following format.

[
  {
    "id": "c937d125-b99b-4690-96f0-6aa1f09438c9",
    "name": "My Template",
    "tags": ["My", "Assigned", "Tags"],
    "created_at": "2026-01-01 12:00:00.000 +0200",
    "updated_at": "2026-01-01 12:00:00.000 +0200"
  },
  {
    "id": "bf95f053-28e1-4300-ac86-b52e5a3e0e5e",
    "name": "Another Template",
    "tags": [],
    "created_at": "2026-01-01 12:00:00.000 +0200",
    "updated_at": "2026-01-01 12:00:00.000 +0200"
  }
]